org.apache.http.nio.reactor

## Enum IOReactorStatus

- java.lang.Object
- - java.lang.Enum<IOReactorStatus>
  - - org.apache.http.nio.reactor.IOReactorStatus

All Implemented Interfaces:
  Serializable, Comparable<IOReactorStatus>

    public enum IOReactorStatus
    extends Enum<IOReactorStatus>

IOReactorStatus represents an internal status of an I/O reactor.

Since:
  4.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE` The reactor is active / processing I/O events.
`INACTIVE` The reactor is inactive / has not been started
`SHUT_DOWN` The reactor has shut down.
`SHUTDOWN_REQUEST` Shutdown of the reactor has been requested.
`SHUTTING_DOWN` The reactor is shutting down.

### Method Summary

Methods
`static IOReactorStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IOReactorStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INACTIVE

    public static final IOReactorStatus INACTIVE

The reactor is inactive / has not been started

#### ACTIVE

    public static final IOReactorStatus ACTIVE

The reactor is active / processing I/O events.

#### SHUTDOWN_REQUEST

    public static final IOReactorStatus SHUTDOWN_REQUEST

Shutdown of the reactor has been requested.

#### SHUTTING_DOWN

    public static final IOReactorStatus SHUTTING_DOWN

The reactor is shutting down.

#### SHUT_DOWN

    public static final IOReactorStatus SHUT_DOWN

The reactor has shut down.

### Method Detail

#### values

    public static IOReactorStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IOReactorStatus c : IOReactorStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IOReactorStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null